Documentation · API reference
GET/api/v1/sites/{site}/live

Real time

Who is on a site now, by page.

Parameters

sitein the address
neededA site's id or name

The answer

Status 200

LiveResponse Who is on a site now, by page. Never by reader (RT-02).

countries
list of Countedneeded
current
integerneededVisitors seen in the last five minutes.
last_hit
string or nullWhen the site last had a counted hit.
minutes
list of integerneededViews in each of the last thirty minutes, oldest first.
pages
list of Countedneeded
sources
list of Countedneeded

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/sites/example.org/live \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/live", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());